Bug 1276947 - wxTranslateGTKKeyEventToWx segfaults in wayland
Summary: wxTranslateGTKKeyEventToWx segfaults in wayland
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK3
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeremy Newton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-01 17:02 UTC by Sami Farin
Modified: 2016-01-11 00:53 UTC (History)
1 user (show)

Fixed In Version: wxGTK3-3.0.2-12.fc23 wxGTK3-3.0.2-12.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-04 18:51:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Sami Farin 2015-11-01 17:02:45 UTC
Description of problem:
When running in gnome wayland, passwordsafe segfaults when entering password on startup.  Works without wayland.  

I am only guessing bug is in wxGTK3..

Program received signal SIGSEGV, Segmentation fault.
XkbUseExtension (dpy=dpy@entry=0x621000015810, major_rtrn=major_rtrn@entry=0x0, minor_rtrn=minor_rtrn@entry=0x0) at XKBUse.c:652
652	        dpy->free_funcs->xkb = _XkbFreeInfo;
(gdb) p dpy->free_funcs 
$3 = (struct _XFreeFuncs *) 0x1
(gdb) bt
#0  0x00007ffff53918e4 in XkbUseExtension (dpy=dpy@entry=0x621000015810, major_rtrn=major_rtrn@entry=0x0, minor_rtrn=minor_rtrn@entry=0x0) at XKBUse.c:652
#1  0x00007ffff5388516 in _XkbLoadDpy (dpy=0x621000015810) at XKBBind.c:513
#2  0x00007ffff5388d66 in XKeysymToKeycode (dpy=0x621000015810, ks=97) at XKBBind.c:157
#3  0x00007ffff5fe0f42 in wxTranslateGTKKeyEventToWx(wxKeyEvent&, wxWindow*, _GdkEventKey*) [clone .constprop.132] () at /lib64/libwx_gtk3u_core-3.0.so.0
#4  0x00007ffff5fe15eb in gtk_window_key_press_callback () at /lib64/libwx_gtk3u_core-3.0.so.0
#9  0x00007ffff2f303df in <emit signal ??? on instance 0x629000290780 [GtkEntry]> (instance=instance@entry=0x629000290780, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3439
    #5  0x00007ffff35b534c in _gtk_marshal_BOOLEAN__BOXED (closure=0x607000382c70, return_value=0x7fffffffb7f0, n_param_values=<optimized out>, param_values=0x7fffffffb850, invocation_hint=<optimized out>, marshal_data=<optimized out>) at gtkmarshalers.c:86
    #6  0x00007ffff2f13b85 in g_closure_invoke (closure=0x607000382c70, return_value=return_value@entry=0x7fffffffb7f0, n_param_values=2, param_values=param_values@entry=0x7fffffffb850, invocation_hint=invocation_hint@entry=0x7fffffffb7d0) at gclosure.c:801
    #7  0x00007ffff2f25e41 in signal_emit_unlocked_R (node=node@entry=0x60800002aca0, detail=detail@entry=0, instance=instance@entry=0x629000290780, emission_return=emission_return@entry=0x7fffffffb970, instance_and_params=instance_and_params@entry=0x7fffffffb850) at gsignal.c:3627
    #8  0x00007ffff2f2fb72 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fffffffba20) at gsignal.c:3393
#10 0x00007ffff36f256c in gtk_widget_event_internal (widget=0x629000290780 [GtkEntry], event=0x6210002a2610) at gtkwidget.c:7692
#11 0x00007ffff371213b in gtk_window_propagate_key_event (window=0x629000066c00 [GtkWindow], event=0x6210002a2610) at gtkwindow.c:7775
#12 0x00007ffff5fceac8 in wxgtk_tlw_key_press_event () at /lib64/libwx_gtk3u_core-3.0.so.0
#17 0x00007ffff2f303df in <emit signal ??? on instance 0x629000066c00 [GtkWindow]> (instance=instance@entry=0x629000066c00, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3439
    #13 0x00007ffff35b534c in _gtk_marshal_BOOLEAN__BOXED (closure=0x6070003428c0, return_value=0x7fffffffbd30, n_param_values=<optimized out>, param_values=0x7fffffffbd90, invocation_hint=<optimized out>, marshal_data=<optimized out>) at gtkmarshalers.c:86
    #14 0x00007ffff2f13b85 in g_closure_invoke (closure=0x6070003428c0, return_value=return_value@entry=0x7fffffffbd30, n_param_values=2, param_values=param_values@entry=0x7fffffffbd90, invocation_hint=invocation_hint@entry=0x7fffffffbd10) at gclosure.c:801
    #15 0x00007ffff2f25e41 in signal_emit_unlocked_R (node=node@entry=0x60800002aca0, detail=detail@entry=0, instance=instance@entry=0x629000066c00, emission_return=emission_return@entry=0x7fffffffbeb0, instance_and_params=instance_and_params@entry=0x7fffffffbd90) at gsignal.c:3627
    #16 0x00007ffff2f2fb72 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fffffffbf60) at gsignal.c:3393
#18 0x00007ffff36f256c in gtk_widget_event_internal (widget=0x629000066c00 [GtkWindow], event=0x6210002a2610) at gtkwidget.c:7692
#19 0x00007ffff35b28b9 in propagate_event (widget=0x629000066c00 [GtkWindow], event=0x6210002a2610, captured=<optimized out>, topmost=0x0) at gtkmain.c:2610
#20 0x00007ffff35b455c in gtk_main_do_event (event=0x6210002a2610) at gtkmain.c:1850
#21 0x00007ffff3151342 in gdk_event_source_dispatch (base=<optimized out>, callback=<optimized out>, data=<optimized out>) at gdkeventsource.c:90
#22 0x00007ffff2e03f1a in g_main_context_dispatch (context=0x60f00000e320) at gmain.c:3154
#23 0x00007ffff2e03f1a in g_main_context_dispatch (context=context@entry=0x60f00000e320) at gmain.c:3769
#24 0x00007ffff2e042c0 in g_main_context_iterate (context=0x60f00000e320, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)


Version-Release number of selected component (if applicable):
3.0.2-9

How reproducible:
100%

Steps to Reproduce:
1. start passwordsafe
2.
3.

Actual results:


Expected results:


Additional info:
gtk3-3.18.2 glib2-2.46.1

Comment 1 Jeremy Newton 2015-12-31 16:06:34 UTC
I believe this was fixed upstream (not sure if it's the same problem):

http://trac.wxwidgets.org/ticket/16688

I'll look into backporting the fixes for 3.0.2 regardless.

Comment 2 Fedora Update System 2016-01-01 18:38:27 UTC
wxGTK3-3.0.2-12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9109bb0f44

Comment 3 Fedora Update System 2016-01-01 18:40:25 UTC
wxGTK3-3.0.2-12.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3242cef988

Comment 4 Fedora Update System 2016-01-03 03:21:58 UTC
wxGTK3-3.0.2-12.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3242cef988

Comment 5 Fedora Update System 2016-01-03 03:23:24 UTC
wxGTK3-3.0.2-12.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9109bb0f44

Comment 6 Fedora Update System 2016-01-04 18:51:01 UTC
wxGTK3-3.0.2-12.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-01-11 00:52:57 UTC
wxGTK3-3.0.2-12.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.